%define version 0.6.4
%define release %mkrel 2

%define major 	0
%define libname %mklibname gcu

Summary:	Backend for Gnome chemistry applications
Name:		gnome-chemistry-utils
Version:	%{version}
Release:	%{release}
License:	LGPL
Group:		Sciences/Chemistry
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://www.nongnu.org/gchemutils/

Source0:	http://savannah.nongnu.org/download/gchemutils/%{name}-%version.tar.bz2

BuildRequires:	libglade2.0-devel
BuildRequires:	libgnomeprint-devel
BuildRequires:	libgtkglext-devel
BuildRequires:	goffice21-devel
BuildRequires:	openbabel-devel >= 1.100.1
BuildRequires:	libgnomeui2-devel
BuildRequires:	libgnomeprintui2-2-devel
BuildRequires:	gtk-doc
BuildRequires:  perl-XML-Parser
#BuildRequires:  mozilla-firefox-devel
BuildRequires:  gettext-devel
BuildRequires:  desktop-file-utils
BuildRequires:  chemical-mime-data
Requires:       chemical-mime-data
Provides:	gcu = %{version}-%{release}
Provides:	gchemutils = %{version}-%{release}
Obsoletes:	gcu

%description
The Gnome Chemistry Utils provide C++ classes and GTK2 widgets related to
chemistry.  They are currently used in Gnome Crystal (gcrystal) and Gnome
Chemistry Paint (gchempaint).

%package -n %{libname}%{major}
Summary:	Main libraries for %{name}
Group:		System/Libraries
Requires:	%{name} = %{version}
Provides:	%{libname} = %{version}-%{release}

%description -n %{libname}%{major}
The Gnome Chemistry Utils provide C++ classes and GTK2 widgets related to
chemistry.  They are currently used in Gnome Crystal (gcrystal) and Gnome
Chemistry Paint (gchempaint).

This package contains the library needed to run programs dynamically
linked with %{name}.       
                                                                                                                     
%package	-n %{libname}%{major}-devel
Summary:	Development related files of %{name}
Group:		Development/GNOME and GTK+
Requires:	%{libname}%{major} = %{version}
Provides:	gcu-devel = %{version}-%{release}
Provides:	%{libname}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description	-n %{libname}%{major}-devel
The Gnome Chemistry Utils provide C++ classes and GTK2 widgets related to
chemistry.  They are currently used in Gnome Crystal (gcrystal) and Gnome
Chemistry Paint (gchempaint).

This package includes the header files and static libraries necessary for
developing chemistry related programs using %{name}.

#%package -n     %{name}-firefox-plugin
#Summary:        %{name} firefox plugin
#Group:          Networking/WWW
#Requires:       %{name} = %{version}-%{release}

#%description -n  %{name}-firefox-plugin
#This package is a set of chemical utils. Three programs are avaible:
#* A 3D molecular structure viewer (GChem3Viewer).
#* A Chemical calculator (GChemCalc).
#* A periodic table of the elements application (GChemTable).
#This package contains the mozilla plugin.


%prep
%setup -q

%build
./configure --libdir=%_libdir --datadir=%_datadir --disable-rpath --enable-static=yes --disable-update-databases --disable-mozilla-plugin
#perl -pi -e 's@^(sys_lib_dlsearch_path_spec="/lib /usr/lib)"@$1 /usr/X11R6/%{_lib}"@' libtool
#perl -p -i -e 's|install-data-hook|||g' Makefile
%make

%install
rm -rf %{buildroot}
%makeinstall HTMLDIR=`pwd`/reference/html

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="Gnome" \
  --add-category="X-MandrivaLinux-MoreApplications-Sciences-Chemistry;Science;Chemistry" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

#kill intrusive docs
rm -rf $RPM_BUILD_ROOT%{_docdir}/gchemutils
  
%find_lang %{name}

%clean
rm -rf %{buildroot}

%post -n %{libname}%{major} -p /sbin/ldconfig

%post
%update_menus
%{update_desktop_database}

%postun
%clean_menus
%{clean_desktop_database}

%postun -n %{libname}%{major} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/*
%{_datadir}/gchemutils
%{_datadir}/applications/*
%{_mandir}/man1/*.1.bz2
%{_mandir}/man3/*.3.bz2

%files -n %{libname}%{major}
%defattr(-, root, root)
%{_libdir}/*.so.*

%files -n %{libname}%{major}-devel
%defattr(-, root, root)
%doc docs/reference
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc

#%files -n %{name}-firefox-plugin
#%defattr(-, root, root)
#%{_libdir}/mozilla/plugins/*.so



%changelog
* Mon Feb 26 2007 Emmanuel Andry <eandry@mandriva.org> 0.6.4-2mdv2007.0
+ Revision: 125727
- fix datadir path

* Sun Feb 25 2007 Emmanuel Andry <eandry@mandriva.org> 0.6.4-1mdv2007.1
+ Revision: 125625
- buildrequires goffice21-devel
- New version 0.6.4
- xdg menu

  + Jérôme Soyer <saispo@mandriva.org>
    - Import gnome-chemistry-utils



* Wed Sep 13 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.1-2mdv2007.0
- - Rebuild against DBUS

* Thu Apr 04 2006 Lenny Cartier <lenny@mandriva.com> 0.6.1-1mdk
- 0.6.1

* Fri Mar 31 2006 Austin Acton <austin@mandriva.org> 0.6.0-1mdk
- New release 0.6.0
- buildrequires goffice
- mozilla plugin doesn't seem to build

* Tue Feb 14 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.4.8-3mdk
- Fix BuildRequires

* Mon Feb 13 2006 Frederic Crozat <fcrozat@mandriva.com> 0.4.8-2mdk
- Don't package mime cache
- fix mime cache update

* Thu Feb 09 2006 Lenny Cartier <lenny@mandriva.com> 0.4.8-1mdk
- 0.4.8

* Sat Aug 13 2005 Austin Acton <austin@mandriva.org> 0.4.4-2mdk
- drop libtoolize hack
- I guess it's just major version 0

* Sat Aug 13 2005 Austin Acton <austin@mandriva.org> 0.4.4-1mdk
- New release 0.4.4

* Sat Jun 18 2005 Austin Acton <austin@mandriva.org> 0.4.3-1mdk
- New release 0.4.3
- source URL fix

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.2-2mdk 
- Rebuild with latest howl

* Mon Dec 13 2004 Austin Acton <austin@mandrake.org> 0.3.2-1mdk
- 0.3.2

* Sat Oct 9 2004 Austin Acton <austin@mandrake.org> 0.3.1-1mdk
- 0.3.1
- major 0.3

* Sun Aug 8 2004 Austin Acton <austin@mandrake.org> 0.3.0-1mdk
- 0.3.0

* Sat Jun 5 2004 Austin Acton <austin@mandrake.org> 0.2.5-1mdk
- 0.2.5

* Mon Feb 16 2004 Austin Acton <austin@mandrake.org> 0.2.3-1mdk
- 0.2.3

* Mon Jan 26 2004 Abel Cheung <deaddog@deaddog.org> 0.2.0-1mdk
- New version
- Rename main package because original name is more descriptive
  (with blessing from Austin)

* Tue Sep  2 2003 Abel Cheung <deaddog@deaddog.org> 0.1.7-1mdk
- 0.1.7
- use makeinstall_std and configure2_5x
- fix BuildRequires
- Source1 removed (upstream)
- LGPL
- avoid binary-or-shlib-defines-rpath, taken from an idea in MDK
  libtool patch

* Mon Aug 25 2003 Austin Acton <aacton@yorku.ca> 0.1.6-2mdk
- more buildrequires
- be sure to build with gtkglext
- add missing headers

* Fri Aug 22 2003 Austin Acton <aacton@yorku.ca> 0.1.6-1mdk
- 0.1.6
- no confiugre macro (goofs .so's)

* Fri Apr 25 2003 Austin Acton <aacton@yorku.ca> 0.1.3-2mdk
- buildrequires glu

* Tue Apr 1 2003 Austin Acton <aacton@yorku.ca> 0.1.3-1mdk
- 0.1.3
- remove patches (merged u/s)
- fixup specfile

* Fri Jan 03 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.1.2-2mdk
- use find_lang macro
- fix files section
- from Austin Acton <aacton@yorku.ca> :
	- add patch for libgnomeprint2.2 problems


* Sat Dec 7 2002 Austin Acton <aacton@yorku.ca> 0.1.2-1mdk
- initial package
